App\Entity\SymfonyDemoComment:
    type: entity
    table: symfony_demo_comment
    indexes:
        IDX_53AD8F83F675F31B:
            columns:
                - author_id
        IDX_53AD8F834B89032C:
            columns:
                - post_id
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        authorId:
            type: integer
            nullable: false
            options:
                unsigned: false
            column: author_id
        content:
            type: text
            nullable: false
            length: 0
            options:
                fixed: false
        publishedAt:
            type: datetime
            nullable: false
            column: published_at
    manyToOne:
        post:
            targetEntity: SymfonyDemoPost
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            joinColumns:
                post_id:
                    referencedColumnName: id
            orphanRemoval: false
    lifecycleCallbacks: {  }
